/*
 * This file is part of SpongeAPI, licensed under the MIT License (MIT).
 *
 * Copyright (c) SpongePowered <https://www.spongepowered.org>
 * Copyright (c) contributors
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package org.spongepowered.api.tag;

import org.spongepowered.api.ResourceKey;
import org.spongepowered.api.item.ItemType;
import org.spongepowered.api.registry.RegistryScope;
import org.spongepowered.api.registry.RegistryScopes;
import org.spongepowered.api.registry.RegistryTypes;

/**
 * <!-- This file is automatically generated. Any manual changes will be overwritten. -->
 */
@SuppressWarnings("unused")
@RegistryScopes(scopes = RegistryScope.GAME)
public final class ItemTypeTags {

    // @formatter:off
    public static final Tag<ItemType> ACACIA_LOGS = ItemTypeTags.key(ResourceKey.minecraft("acacia_logs"));

    public static final Tag<ItemType> ANVIL = ItemTypeTags.key(ResourceKey.minecraft("anvil"));

    public static final Tag<ItemType> ARROWS = ItemTypeTags.key(ResourceKey.minecraft("arrows"));

    public static final Tag<ItemType> AXOLOTL_TEMPT_ITEMS = ItemTypeTags.key(ResourceKey.minecraft("axolotl_tempt_items"));

    public static final Tag<ItemType> BANNERS = ItemTypeTags.key(ResourceKey.minecraft("banners"));

    public static final Tag<ItemType> BEACON_PAYMENT_ITEMS = ItemTypeTags.key(ResourceKey.minecraft("beacon_payment_items"));

    public static final Tag<ItemType> BEDS = ItemTypeTags.key(ResourceKey.minecraft("beds"));

    public static final Tag<ItemType> BIRCH_LOGS = ItemTypeTags.key(ResourceKey.minecraft("birch_logs"));

    public static final Tag<ItemType> BOATS = ItemTypeTags.key(ResourceKey.minecraft("boats"));

    public static final Tag<ItemType> BUTTONS = ItemTypeTags.key(ResourceKey.minecraft("buttons"));

    public static final Tag<ItemType> CANDLES = ItemTypeTags.key(ResourceKey.minecraft("candles"));

    public static final Tag<ItemType> CARPETS = ItemTypeTags.key(ResourceKey.minecraft("carpets"));

    public static final Tag<ItemType> CLUSTER_MAX_HARVESTABLES = ItemTypeTags.key(ResourceKey.minecraft("cluster_max_harvestables"));

    public static final Tag<ItemType> COAL_ORES = ItemTypeTags.key(ResourceKey.minecraft("coal_ores"));

    public static final Tag<ItemType> COALS = ItemTypeTags.key(ResourceKey.minecraft("coals"));

    public static final Tag<ItemType> COPPER_ORES = ItemTypeTags.key(ResourceKey.minecraft("copper_ores"));

    public static final Tag<ItemType> CREEPER_DROP_MUSIC_DISCS = ItemTypeTags.key(ResourceKey.minecraft("creeper_drop_music_discs"));

    public static final Tag<ItemType> CRIMSON_STEMS = ItemTypeTags.key(ResourceKey.minecraft("crimson_stems"));

    public static final Tag<ItemType> DARK_OAK_LOGS = ItemTypeTags.key(ResourceKey.minecraft("dark_oak_logs"));

    public static final Tag<ItemType> DIAMOND_ORES = ItemTypeTags.key(ResourceKey.minecraft("diamond_ores"));

    public static final Tag<ItemType> DIRT = ItemTypeTags.key(ResourceKey.minecraft("dirt"));

    public static final Tag<ItemType> DOORS = ItemTypeTags.key(ResourceKey.minecraft("doors"));

    public static final Tag<ItemType> EMERALD_ORES = ItemTypeTags.key(ResourceKey.minecraft("emerald_ores"));

    public static final Tag<ItemType> FENCES = ItemTypeTags.key(ResourceKey.minecraft("fences"));

    public static final Tag<ItemType> FISHES = ItemTypeTags.key(ResourceKey.minecraft("fishes"));

    public static final Tag<ItemType> FLOWERS = ItemTypeTags.key(ResourceKey.minecraft("flowers"));

    public static final Tag<ItemType> FOX_FOOD = ItemTypeTags.key(ResourceKey.minecraft("fox_food"));

    public static final Tag<ItemType> FREEZE_IMMUNE_WEARABLES = ItemTypeTags.key(ResourceKey.minecraft("freeze_immune_wearables"));

    public static final Tag<ItemType> GOLD_ORES = ItemTypeTags.key(ResourceKey.minecraft("gold_ores"));

    public static final Tag<ItemType> IGNORED_BY_PIGLIN_BABIES = ItemTypeTags.key(ResourceKey.minecraft("ignored_by_piglin_babies"));

    public static final Tag<ItemType> IRON_ORES = ItemTypeTags.key(ResourceKey.minecraft("iron_ores"));

    public static final Tag<ItemType> JUNGLE_LOGS = ItemTypeTags.key(ResourceKey.minecraft("jungle_logs"));

    public static final Tag<ItemType> LAPIS_ORES = ItemTypeTags.key(ResourceKey.minecraft("lapis_ores"));

    public static final Tag<ItemType> LEAVES = ItemTypeTags.key(ResourceKey.minecraft("leaves"));

    public static final Tag<ItemType> LECTERN_BOOKS = ItemTypeTags.key(ResourceKey.minecraft("lectern_books"));

    public static final Tag<ItemType> LOGS = ItemTypeTags.key(ResourceKey.minecraft("logs"));

    public static final Tag<ItemType> LOGS_THAT_BURN = ItemTypeTags.key(ResourceKey.minecraft("logs_that_burn"));

    public static final Tag<ItemType> MUSIC_DISCS = ItemTypeTags.key(ResourceKey.minecraft("music_discs"));

    public static final Tag<ItemType> NON_FLAMMABLE_WOOD = ItemTypeTags.key(ResourceKey.minecraft("non_flammable_wood"));

    public static final Tag<ItemType> OAK_LOGS = ItemTypeTags.key(ResourceKey.minecraft("oak_logs"));

    public static final Tag<ItemType> OCCLUDES_VIBRATION_SIGNALS = ItemTypeTags.key(ResourceKey.minecraft("occludes_vibration_signals"));

    public static final Tag<ItemType> PIGLIN_FOOD = ItemTypeTags.key(ResourceKey.minecraft("piglin_food"));

    public static final Tag<ItemType> PIGLIN_LOVED = ItemTypeTags.key(ResourceKey.minecraft("piglin_loved"));

    public static final Tag<ItemType> PIGLIN_REPELLENTS = ItemTypeTags.key(ResourceKey.minecraft("piglin_repellents"));

    public static final Tag<ItemType> PLANKS = ItemTypeTags.key(ResourceKey.minecraft("planks"));

    public static final Tag<ItemType> RAILS = ItemTypeTags.key(ResourceKey.minecraft("rails"));

    public static final Tag<ItemType> REDSTONE_ORES = ItemTypeTags.key(ResourceKey.minecraft("redstone_ores"));

    public static final Tag<ItemType> SAND = ItemTypeTags.key(ResourceKey.minecraft("sand"));

    public static final Tag<ItemType> SAPLINGS = ItemTypeTags.key(ResourceKey.minecraft("saplings"));

    public static final Tag<ItemType> SIGNS = ItemTypeTags.key(ResourceKey.minecraft("signs"));

    public static final Tag<ItemType> SLABS = ItemTypeTags.key(ResourceKey.minecraft("slabs"));

    public static final Tag<ItemType> SMALL_FLOWERS = ItemTypeTags.key(ResourceKey.minecraft("small_flowers"));

    public static final Tag<ItemType> SOUL_FIRE_BASE_BLOCKS = ItemTypeTags.key(ResourceKey.minecraft("soul_fire_base_blocks"));

    public static final Tag<ItemType> SPRUCE_LOGS = ItemTypeTags.key(ResourceKey.minecraft("spruce_logs"));

    public static final Tag<ItemType> STAIRS = ItemTypeTags.key(ResourceKey.minecraft("stairs"));

    public static final Tag<ItemType> STONE_BRICKS = ItemTypeTags.key(ResourceKey.minecraft("stone_bricks"));

    public static final Tag<ItemType> STONE_CRAFTING_MATERIALS = ItemTypeTags.key(ResourceKey.minecraft("stone_crafting_materials"));

    public static final Tag<ItemType> STONE_TOOL_MATERIALS = ItemTypeTags.key(ResourceKey.minecraft("stone_tool_materials"));

    public static final Tag<ItemType> TALL_FLOWERS = ItemTypeTags.key(ResourceKey.minecraft("tall_flowers"));

    public static final Tag<ItemType> TERRACOTTA = ItemTypeTags.key(ResourceKey.minecraft("terracotta"));

    public static final Tag<ItemType> TRAPDOORS = ItemTypeTags.key(ResourceKey.minecraft("trapdoors"));

    public static final Tag<ItemType> WALLS = ItemTypeTags.key(ResourceKey.minecraft("walls"));

    public static final Tag<ItemType> WARPED_STEMS = ItemTypeTags.key(ResourceKey.minecraft("warped_stems"));

    public static final Tag<ItemType> WOODEN_BUTTONS = ItemTypeTags.key(ResourceKey.minecraft("wooden_buttons"));

    public static final Tag<ItemType> WOODEN_DOORS = ItemTypeTags.key(ResourceKey.minecraft("wooden_doors"));

    public static final Tag<ItemType> WOODEN_FENCES = ItemTypeTags.key(ResourceKey.minecraft("wooden_fences"));

    public static final Tag<ItemType> WOODEN_PRESSURE_PLATES = ItemTypeTags.key(ResourceKey.minecraft("wooden_pressure_plates"));

    public static final Tag<ItemType> WOODEN_SLABS = ItemTypeTags.key(ResourceKey.minecraft("wooden_slabs"));

    public static final Tag<ItemType> WOODEN_STAIRS = ItemTypeTags.key(ResourceKey.minecraft("wooden_stairs"));

    public static final Tag<ItemType> WOODEN_TRAPDOORS = ItemTypeTags.key(ResourceKey.minecraft("wooden_trapdoors"));

    public static final Tag<ItemType> WOOL = ItemTypeTags.key(ResourceKey.minecraft("wool"));

    // @formatter:on
    private ItemTypeTags() {
    }

    private static Tag<ItemType> key(final ResourceKey key) {
        return Tag.of(RegistryTypes.ITEM_TYPE, key);
    }
}
